﻿using System.Data.Entity;
using EntityContext.Core;
using EntityContext.Test.Entities;

namespace EntityContext.Test
{
    public class ModelContext : ContextBase
    {
        public ModelContext(ContextSettings settings = null)
            : base(settings ?? new ContextSettings())
        {
            Database.SetInitializer(new ContextInitializer<ModelContext>());
        }

        // NB: Order in which entity sets are listed is important!
        public virtual DbSet<Blog> Blogs { get; set; }

        public virtual DbSet<User> Users { get; set; }

        public virtual DbSet<Post> Posts { get; set; }
    }
}